# Module: query-parser

## query-parser

Source:
  - query-parser.js, line 31

### Methods

#### compileJoin(condition) → {String}

  Return the output of the parsing of the join condition

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `condition` | String | The join condition to evalate

  Source:
    - query-parser.js, line 73

  ##### Returns:

  - The parsed/escaped join condition
  Type
    String

#### parseJoin(sql) → {Object}

  Tokenize the sql into parts for additional processing

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `sql` | String |

  Source:
    - query-parser.js, line 47

  ##### Returns:

  Type
    Object